# Memcache::connect

(PECL memcache >= 0.2.0)

Memcache::connect — Open memcached server connection

### Description

Memcache::connect ( string `$host` [, int `$port` [, int `$timeout` ]] ) : bool

Memcache::connect() establishes a connection to the memcached server. The connection, which was opened using Memcache::connect() will be automatically closed at the end of script execution. Also you can close it with Memcache::close(). Also you can use memcache_connect() function.

### Parameters

`host`

  Point to the host where memcached is listening for connections. This parameter may also specify other transports like unix:///path/to/memcached.sock to use UNIX domain sockets, in this case `port` must also be set to 0.

`port`

  Point to the port where memcached is listening for connections. Set this parameter to 0 when using UNIX domain sockets.

  Please note: `port` defaults to memcache.default_port if not specified. For this reason it is wise to specify the port explicitly in this method call.

`timeout`

  Value in seconds which will be used for connecting to the daemon. Think twice before changing the default value of 1 second - you can lose all the advantages of caching if your connection is too slow.

### Notes

Warning

When the `port` is unspecified, this method defaults to the value set of the PHP ini directive memcache.default_port If this value was changed elsewhere in your application it might lead to unexpected results: for this reason it is wise to always specify the port explicitly in this method call.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcache::connect() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* OO API */
$memcache = new Memcache;
$memcache->connect('memcache_host', 11211);
?>`

### See Also

- Memcache::pconnect() - Open memcached server persistent connection
- Memcache::close() - Close memcached server connection